Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 209703 - net-proxy/tsocks-1.8_beta5-r2 does not respect LDFLAGS
Summary: net-proxy/tsocks-1.8_beta5-r2 does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Network Proxy Developers (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2008-02-11 20:33 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-08-09 21:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-02-11 20:33:42 UTC
net-proxy/tsocks-1.8_beta5-r2 (/usr/bin/tsocks-validateconf)
net-proxy/tsocks-1.8_beta5-r2 (/usr/bin/inspectsocks)
net-proxy/tsocks-1.8_beta5-r2 (/lib64/libtsocks.so.1.8)

[These files have a .hash section even if I have LDFLAGS set _not_ to generate it.]
Comment 1 Alin Năstac (RETIRED) gentoo-dev 2008-02-13 16:18:41 UTC
Fixed in tsocks-1.8_beta5-r3, along with this QA notice:
 * QA Notice: Found an absolute symlink in a library directory:
 *            usr/lib64/libtsocks.so -> /lib64/libtsocks.so
 *            It should be a relative symlink if in the same directory
 *            or a linker script if it crosses the /usr boundary.